Summary:	diff frontend that operates on words
Summary(pl.UTF-8):	frontend do diffa operujący na słowach
Name:		dwdiff
Version:	2.0.4
Release:	4
License:	GPL v3
Group:		Applications/Text
Source0:	http://os.ghalkes.nl/dist/%{name}-%{version}.tgz
# Source0-md5:	1bb69cbfb76583f69c6912f925fc4cec
URL:		http://os.ghalkes.nl/dwdiff.html
BuildRequires:	gettext-devel
BuildRequires:	libicu-devel
BuildRequires:	pkgconfig
BuildRequires:	which
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
dwdiff is a front-end for the diff program that operates at the word
level instead of the line level. It is different from wdiff in that it
allows the user to specify what should be considered whitespace, and
in that it takes an optional list of characters that should be
considered delimiters. Delimiters are single characters that are
treated as if they are words, even when there is no whitespace
separating them from preceding words or delimiters. dwdiff is mostly
commandline compatible with wdiff. Only the --autopager, --terminal
and --avoid-wraps options are not supported.

The default output from dwdiff is the new text, with the deleted and
inserted parts annotated with markers. Command line options are
available to change both what is printed, and the markers.

%description -l pl.UTF-8
dwdiff to frontend do programu diff operujący na słowach zamiast na
liniach. W odróżnieniu od wdiff pozwala użytkownikowi na określenie co
traktować jako biały znak oraz ustalenie listy delimetrów. Delimeter
to pojedynczy znak traktowany jak słowo nawet jeśli nie ma białych
znaków oddzielających go od innych słów czy delimetrów. dwdiff jest w
dużej mierze kompatybilny z wdiff, jedynie opcje --autopager,
 --terminal i --avoid-wraps nie są wspierane.

Domyślnym formatem wyjściowym dwdiff jest nowy tekst z częściami
usuniętymi i dodanymi oznaczonymi markerami. Z poziomu linii poleceń
możliwe jest określenie co i za pomocą jakich znaczników ma być
wyświetlane.

%prep
%setup -q

%build
# not a typical configure
./configure \
	--prefix="$RPM_BUILD_ROOT%{_prefix}" \
	--mandir="$RPM_BUILD_ROOT%{_mandir}" \
	CC="%{__cc}" \
	CFLAGS="%{rpmcflags}" \
	LDFLAGS="%{rpmldflags}"
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_mandir}}

%{__make} install

%find_lang %{name}

rm -r $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc Changelog README
%attr(755,root,root) %{_bindir}/*
%{_mandir}/man1/dw*.1*
%lang(nl) %{_mandir}/nl/man1/dw*.1*
%changelog
* Thu Nov 07 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/dwdiff.git;a=log;h=master

* Thu Nov 07 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> cd66f3e
- rel 4; build fixed

* Fri Nov 01 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> d3fa2b4
- release 3 (by relup.sh)

* Fri Sep 21 2012 Paweł Sikora <pawel.sikora@agmk.net> f6ec70f
- package dwdiff and dwfilter manpages.

* Fri Sep 21 2012 Paweł Sikora <pawel.sikora@agmk.net> 7e866fb
- updated to 2.0.4.

* Thu Sep 20 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> c073655
- release 2 (by relup.sh)

* Wed Jan 18 2012 Caleb Maclennan <caleb@alerque.com> 47664c7
- Up to 2.0.2

* Sun Oct 09 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 5408df3
- release 2

* Thu Mar 24 2011 Caleb Maclennan <caleb@alerque.com> a40adb7
- Up to 1.9

* Sun Mar 20 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 243ce09
- release 3

* Fri Mar 04 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 4a2f65c
- release 2

* Thu Dec 09 2010 Caleb Maclennan <caleb@alerque.com> 5fb9ded
- Up to 1.8.2

* Mon Feb 01 2010 sparky <sparky@pld-linux.org> 7a0e999
- BR: gettext-devel, pkgconfig, which

* Mon Feb 01 2010 Tomasz Pala <gotar@pld-linux.org> 4180945
- upgraded to 1.6.1

* Tue Sep 22 2009 Elan Ruusamäe <glen@pld-linux.org> 9e9e286
- release 2

* Sun Feb 08 2009 Tomasz Pala <gotar@pld-linux.org> ade38dc
- cosmetics, more specific Group, added ChangeLog to %doc

* Sun Feb 08 2009 Adam Gołębiowski <adamg@pld-linux.org> 309570b
- new

